<div class="flex flex-col h-screen">
  <mat-card class="m-4">
    <mat-card-header class="m-2">
      <mat-card-title>
        <div class="flex">
          <button class="secondary-icon mr-3" (click)="back()"><mat-icon>keyboard_backspace</mat-icon></button>
        {{ fullName || "New User" }}
        </div>
        </mat-card-title>
    </mat-card-header>
    <mat-card-content class="flex flex-col">
      <form [formGroup]="userForm">
        <mat-form-field class="w-full">
          <mat-label>Full Name</mat-label>
          <input matInput  formControlName="fullName" required>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Phone Number</mat-label>
          <input matInput formControlName="userPhone" [readonly]="uuid && !userForm.controls.userEmail.value" required>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Email</mat-label>
          <input matInput formControlName="userEmail" [readonly]="uuid && !userForm.controls.userPhone.value" required>
          <mat-checkbox formControlName="enableOTP" matSuffix *ngIf="!uuid">Enable OTP</mat-checkbox>
          <mat-checkbox formControlName="disableUser" matSuffix *ngIf="!uuid">Disable User</mat-checkbox>
          <mat-checkbox [checked]="enableOTP" matSuffix *ngIf="uuid" (change)="enableDisableOtp($event)">Enable OTP</mat-checkbox>
          <mat-checkbox [checked]="disableUser" matSuffix *ngIf="uuid" (change)="enableDisableUser($event)">Disable User</mat-checkbox>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Password</mat-label>
          <input matInput type="password" formControlName="userPassword">
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Roles</mat-label>
          <mat-select formControlName="userRole" multiple>
            <mat-option *ngFor="let role of roles" [value]="role">{{role}}</mat-option>
          </mat-select>
        </mat-form-field>
      </form>
    </mat-card-content>
    <mat-card-actions class="m-4 flex flex-row gap-2">
      <button (click)="createUser()" mat-flat-button color="primary" [disabled]="!userForm.valid"
        *ngIf="!uuid">Create</button>
      <button (click)="updateUser()" mat-flat-button color="primary" [disabled]="!userForm.valid"
        *ngIf="uuid">Update</button>
      <button (click)="manageAuthUser()" mat-flat-button [disabled]="!userForm.valid" *ngIf="uuid">Manage
        Keys</button>
      <button *ngIf="!enablePasswordLess && uuid" (click)="enablePasswordLessLogin()" mat-flat-button
        [disabled]="!userForm.valid">Enable Password-less</button>
      <button *ngIf="enablePasswordLess && uuid" (click)="disablePasswordLessLogin()" mat-flat-button
        [disabled]="!userForm.valid">Disable Password-less</button>
      <button (click)="unblock()" mat-flat-button *ngIf="uuid && uuid !== new">Unblock User</button>
      <button (click)="delete()" mat-flat-button color="warn" *ngIf="uuid && uuid !== new">Delete</button>

      <button (click)="deleteUserBearerToken()" mat-flat-button color="warn" *ngIf="uuid && uuid !== new">Delete Bearer Token</button>

      <button (click)="deleteUserSession()" mat-flat-button color="warn" *ngIf="uuid && uuid !== new">Delete User Session</button>
    </mat-card-actions>
  </mat-card>
  <claims-listing class="m-4" *ngIf="uuid && uuid != new" [uuid]="uuid"></claims-listing>
</div>
